#pragma once

#include "CoreMinimal.h"
#include "GameObjective_ActorList.h"
#include "Templates/SubclassOf.h"
#include "GameObjective_ActorInterfaceList.generated.h"

class UInterface;

UCLASS(Blueprintable, Abstract)
class AGameObjective_ActorInterfaceList : public AGameObjective_ActorList
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UInterface> _interfaceClass;

public:
	AGameObjective_ActorInterfaceList();
};

FORCEINLINE uint32 GetTypeHash(const AGameObjective_ActorInterfaceList) { return 0; }
